#if !defined(AFX_DIRECTORYVIEW_H__541F53B9_2989_4ABA_935A_68B11BD63AC8__INCLUDED_)
#define AFX_DIRECTORYVIEW_H__541F53B9_2989_4ABA_935A_68B11BD63AC8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DirectoryView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDirectoryView view

class CDirectoryView : public CTreeView
{
protected:
	CDirectoryView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDirectoryView)

// Attributes
public:

// Operations
public:
	int InsertNode(CNodeObject *,HTREEITEM);
	int DestroyNode(CNodeObject *);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDirectoryView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDirectoryView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CDirectoryView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIRECTORYVIEW_H__541F53B9_2989_4ABA_935A_68B11BD63AC8__INCLUDED_)
